Bug 139655 - up2date fails with ImportError: /usr/lib/python2.2/site-packages/libxml2mod.so: undefined symbol: xmlNewTextReaderFilename
up2date fails with ImportError: /usr/lib/python2.2/site-packages/libxml2mod.s...
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: up2date (Show other bugs)
3.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Bret McMillan
Red Hat Satellite QA List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-17 03:59 EST by Sergio Tadini
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-16 21:35:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sergio Tadini 2004-11-17 03:59:53 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3)
Gecko/20040922

Description of problem:
when trying to up2date i receive:
Traceback (most recent call last):
  File "/usr/sbin/up2date", line 28, in ?
    from up2date_client import up2date
  File "up2date.py", line 36, in ?
  File "depSolver.py", line 4, in ?
  File "packageList.py", line 17, in ?
  File "up2dateComps.py", line 7, in ?
  File "/usr/lib/python2.2/site-packages/rhpl/comps.py", line 5, in ?
    import libxml2
  File "/usr/lib/python2.2/site-packages/libxml2.py", line 1, in ?
    import libxml2mod
ImportError: /usr/lib/python2.2/site-packages/libxml2mod.so: undefined
symbol: xmlNewTextReaderFilename
I've update manually up2date and libxml2* (checked with rpm -V) but
nothing changes... Only 2 boxes on that network have this problem
(updated to v3 the same day), other boxes works perfectly

Version-Release number of selected component (if applicable):
up2date-4.2.38-1

How reproducible:
Always

Steps to Reproduce:
1.up2date -u
2.
3.
    

Actual Results:  Traceback (most recent call last):
  File "/usr/sbin/up2date", line 28, in ?
    from up2date_client import up2date
  File "up2date.py", line 36, in ?
  File "depSolver.py", line 4, in ?
  File "packageList.py", line 17, in ?
  File "up2dateComps.py", line 7, in ?
  File "/usr/lib/python2.2/site-packages/rhpl/comps.py", line 5, in ?
    import libxml2
  File "/usr/lib/python2.2/site-packages/libxml2.py", line 1, in ?
    import libxml2mod
ImportError: /usr/lib/python2.2/site-packages/libxml2mod.so: undefined
symbol: xmlNewTextReaderFilename

Expected Results:  updating some packages (other machines on the same
network do it)

Additional info:
Comment 2 Clifford Perry 2006-03-16 21:37:19 EST
The most likely cause of this is a modified /etc/ld.so.conf file such that you
are loading a 3rd party version of the libxml libraries over the default Red Hat
supplied ones. 

Regards,
Cliff. 

Note You need to log in before you can comment on or make changes to this bug.